Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2026-07-28 The HDF5 Field Guide

Loading...
Searching...
No Matches
LinkCreatPropList Class Reference

`#include <c++/src/H5LcreatProp.h>`

## Detailed Description

Class LinkCreatPropList inherits from PropList and provides wrappers for the HDF5 link creation property list.

Inheritance diagram for LinkCreatPropList:

## Public Member Functions
virtual std::string | fromClass () const override
| Returns this class name.
H5T_cset_t | getCharEncoding () const
| Gets the character encoding of the string.
bool | getCreateIntermediateGroup () const
| Determines whether property is set to enable creating missing intermediate groups.
| LinkCreatPropList ()
| Creates a file access property list.
| LinkCreatPropList (const hid_t plist_id)
| Creates a file access property list using the id of an existing one.
| LinkCreatPropList (const LinkCreatPropList &original)
| Copy constructor: same HDF5 object as original.
void | setCharEncoding (H5T_cset_t encoding) const
| Sets the character encoding of the string.
void | setCreateIntermediateGroup (bool crt_intmd_group) const
| Specifies in property list whether to create missing intermediate groups.
virtual | ~LinkCreatPropList () override=default
Public Member Functions inherited from PropList
virtual void | close () override
| Closes the property list if it is not a default one.
void | closeClass () const
| Close a property list class.
void | copy (const PropList &like_plist)
| Makes a copy of an existing property list.
void | copyProp (PropList &dest, const char *name) const
| Copies a property from this property list or class to another.
void | copyProp (PropList &dest, const std::string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | copyProp (PropList &dest, PropList &src, const char *name) const
| Copies a property from one list or class to another - Obsolete.
void | copyProp (PropList &dest, PropList &src, const std::string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts. - Obsolete.
hid_t | getClass () const
| Returns the class of this property list, i.e. `H5P_FILE_CREATE`...
std::string | getClassName () const
| Return the name of a generic property list class.
PropList | getClassParent () const
| Returns the parent class of a generic property class.
virtual hid_t | getId () const override
| Get the id of this property list.
size_t | getNumProps () const
| Returns the number of properties in this property list or class.
std::string | getProperty (const char *name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | getProperty (const char *name, void *value) const
| Query the value of a property in a property list.
std::string | getProperty (const std::string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | getProperty (const std::string &name, void *value) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
size_t | getPropSize (const char *name) const
| Query the size of a property in a property list or class.
size_t | getPropSize (const std::string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
bool | isAClass (const PropList &prop_class) const
| Determines whether a property list is a certain class.
PropList & | operator= (const PropList &rhs)
| Assignment operator.
bool | operator== (const PropList &rhs) const
| Compares this property list or class against the given list or class.
bool | propExist (const char *name) const
| Query the existence of a property in a property object.
bool | propExist (const std::string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
| PropList ()
| Default constructor: creates a stub property list object.
| PropList (const hid_t plist_id)
| Creates a property list using the id of an existing property.
| PropList (const PropList &original)
| Copy constructor: same HDF5 object as original.
void | removeProp (const char *name) const
| Removes a property from a property list.
void | removeProp (const std::string &name) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | setProperty (const char *name, const char *charptr) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | setProperty (const char *name, const std::string &strg) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | setProperty (const char *name, const void *value) const
| Set a property's value in a property list.
void | setProperty (const char *name, std::string &strg) const
| Deprecated due to missing const in prototype. (1.10.1).
void | setProperty (const char *name, void *value) const
| Deprecated due to missing const in prototype. (1.10.1).
void | setProperty (const std::string &name, const std::string &strg) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | setProperty (const std::string &name, const void *value) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what arguments it accepts.
void | setProperty (const std::string &name, std::string &strg) const
| Deprecated due to missing const in prototype. (1.10.1).
void | setProperty (const std::string &name, void *value) const
| Deprecated due to missing const in prototype. (1.10.1).
virtual | ~PropList () override
| Properly terminates access to this property list.
Public Member Functions inherited from IdComponent
void | decRefCount () const
| Decrement reference counter for the id of this object.
void | decRefCount (const hid_t obj_id) const
| Decrement reference counter for a given id.
int | getCounter () const
| Returns the reference counter for the id of this object.
int | getCounter (const hid_t obj_id) const
| Returns the reference counter for a given id.
H5I_type_t | getHDFObjType () const
| Returns the type of the object. It is an overloaded function of the above function.
void | incRefCount () const
| Increment reference counter for the id of this object.
void | incRefCount (const hid_t obj_id) const
| Increment reference counter for a given id.
std::string | inMemFunc (const char *func_name) const
| Makes and returns string "<class-name>::<func_name>".
IdComponent & | operator= (const IdComponent &rhs)
| Assignment operator.
void | setId (const hid_t new_id)
| Sets the identifier of this object to a new value.
virtual | ~IdComponent ()=default

## Static Public Member Functions
static void | deleteConstants ()
Static Public Member Functions inherited from PropList
static void | deleteConstants ()
Static Public Member Functions inherited from IdComponent
static H5I_type_t | getHDFObjType (const hid_t obj_id)
| Given an id, returns the type of the object.
static hsize_t | getNumMembers (H5I_type_t type)
| Returns the number of members of the given type.
static bool | isValid (hid_t an_id)
| Checks if the given ID is valid.
static bool | typeExists (H5I_type_t type)
| Queries if a given type is currently registered with the library.

## Static Public Attributes
static const LinkCreatPropList & | DEFAULT = *getConstant()
| Default link creation property list.
Static Public Attributes inherited from PropList
static const PropList & | DEFAULT = *getConstant()
| Default property list.

## Additional Inherited Members
Protected Member Functions inherited from PropList
virtual void | p_setId (const hid_t new_id) override
| Sets the identifier of this object to a new value.
Protected Member Functions inherited from IdComponent
| IdComponent ()
| Default constructor.
std::string | p_get_file_name () const
Static Protected Member Functions inherited from IdComponent
static bool | p_valid_id (const hid_t obj_id)
Protected Attributes inherited from PropList
hid_t | id
Static Protected Attributes inherited from IdComponent
static bool | H5dontAtexit_called = false

## Constructor & Destructor Documentation

## ◆ LinkCreatPropList() [1/3]

LinkCreatPropList | ( |  | ) |

Creates a file access property list.

## ◆ LinkCreatPropList() [2/3]

LinkCreatPropList | ( | const LinkCreatPropList & | original | ) |

Copy constructor: same HDF5 object as original.

Parameters

  original | - IN: LinkCreatPropList instance to copy

## ◆ LinkCreatPropList() [3/3]

LinkCreatPropList | ( | const hid_t | plist_id | ) |

Creates a file access property list using the id of an existing one.

## ◆ ~LinkCreatPropList()

virtual ~LinkCreatPropList | ( |  | ) |
| override virtual default

## Member Function Documentation

## ◆ deleteConstants()

void deleteConstants | ( |  | ) |
| static

## ◆ fromClass()

virtual std::string fromClass | ( |  | ) | const
| override virtual

Returns this class name.

Reimplemented from PropList.

## ◆ getCharEncoding()

H5T_cset_t getCharEncoding | ( |  | ) | const

Gets the character encoding of the string.

Returns
  The character encoding

Exceptions

  H5::PropListIException |

## ◆ getCreateIntermediateGroup()

bool getCreateIntermediateGroup | ( |  | ) | const

Determines whether property is set to enable creating missing intermediate groups.

Returns
  true if creating intermediate groups is enabled, and false, otherwise

Exceptions

  H5::PropListIException |

## ◆ setCharEncoding()

void setCharEncoding | ( | H5T_cset_t | encoding | ) | const

Sets the character encoding of the string.

Exceptions

  H5::PropListIException |

## ◆ setCreateIntermediateGroup()

void setCreateIntermediateGroup | ( | bool | crt_intmd_group | ) | const

Specifies in property list whether to create missing intermediate groups.

Parameters

  crt_intmd_group | - IN: Flag specifying whether to create intermediate groups upon the creation of an object

Exceptions

  H5::PropListIException |

## Field Documentation

## ◆ DEFAULT

const LinkCreatPropList & DEFAULT = *getConstant()
| static

Default link creation property list.

The documentation for this class was generated from the following files:

- c++/src/H5LcreatProp.h
- c++/src/H5LcreatProp.cpp